{% extends "slow_forum/base_content.html"%}
{% load i18n tz slow_forms %}

{% block page_title %}
    {% translate "Enter a new password" %}
{% endblock %}

{% block content_title %}
    {% translate "Enter a new password" %}
{% endblock %}

{% block content %}

    {% if validlink %}
    
    <p>
        {% translate "Please enter your new password twice so we can verify you typed it in correctly." %}
    </p>
    
    <form method="post">
        {% csrf_token %}

        {% bootstrap_form form %}

        <input type="submit" class="btn btn-primary" value="{% translate "Change my password" %}">
        <a class="btn btn-secondary" href="{% url 'slow_forum:index' %}">{% translate "Cancel" %}</a>
        
    </form>

    {% else %}
    <p>
        {% translate "Your reset password link is not correct or already used. Please, ask another one." %}
    </p>

    <a class="" href="{% url 'password_reset' %}">{% translate "Ask another password reset" %}</a>
    {% endif %}
{% endblock %}
